Register Org Provider
Registers this organisation's own private Provider row, alongside the platform's own default catalog. Optionally binds an API key and imports the provider's models in the same request.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
org_id*Org Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Registers an organisation's own private Provider catalog row,
alongside the platform's own default catalog for the same kind - see
provider_registry_provider.list_visible_by_kind.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/organisations/497f6eca-6276-4993-bfeb-53cbbbba6f08/providers" \ -H "Content-Type: application/json" \ -d '{ "kind": "string", "name": "string", "type": "string", "endpoint": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "name": "string", "type": "string", "default_model": "string", "endpoint": "string", "description": "string", "enabled": true, "credits_per_unit": 0, "billing_unit": "string", "models": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider_id": "fe3d49af-4061-436b-ae60-f7044f252a44", "external_id": "string", "kind": "string", "display_name": "string", "recommended": true, "is_default": true, "languages": [ "string" ], "spec": {}, "pricing": { "property1": 0, "property2": 0 }, "available_via": [ "platform" ], "deprecated": true, "source": "seed", "latency": { "value_ms": 0, "source": "measured", "sample_count": 0 } } ]}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}